%define module_name Alien-Hunspell
# BEGIN SourceDeps(oneline):
BuildRequires: hunspell perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/Autoconf.pm) perl(Alien/Build/Plugin/Probe/Vcpkg.pm) perl(Config.pm) perl(ExtUtils/CppGuess.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/PP.pm) perl(Path/Tiny.pm) perl(Test/Alien/CPP.pm) perl(Test2/Require.pm) perl(Test2/V0.pm) perl(base.pm) pkgconfig(hunspell)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.17
Release: alt3
Summary: Install hunspell
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::Hunspell

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz

%description
This module provides the spelling library Hunspell.  It will either 
detect it as provided by the operating system, or download the source 
from the Internet and install it for you.  It uses the Alien::Base manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes author.yml LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.17-alt3
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.17-alt2
- rebuild with perl 5.34.0

* Mon Mar 15 2021 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.16-alt2
- rebuild with perl 5.30

* Thu Mar 19 2020 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- updated by package builder

* Mon Feb 24 2020 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- updated by package builder

* Wed Jan 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

